Create fulfillment adjustment - Fabric
Create fulfillment adjustment
cURL
curl --request POST \
--url https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"price": {
"amount": 12.99
},
"reason": "Price adjustment from Customer Representative",
"attributes": {
"source": "CSR"
}
}
'
Python
import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments"
payload = {
"price": { "amount": 12.99 },
"reason": "Price adjustment from Customer Representative",
"attributes": { "source": "CSR" }
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
price: {amount: 12.99},
reason: 'Price adjustment from Customer Representative',
attributes: {source: 'CSR'}
})
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 201: Created
- 400: Bad Request
- 404: Not Found
Sample Response
{
"id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"price": {
"amount": 12.99
},
"reason": "Price adjustment from customer representative.",
"attributes": {
"source": "CSR"
},
"updatedAt": "2024-06-13T16:50:00.682Z",
"createdAt": "2024-06-13T16:50:00.682Z"
}
{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}
{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}
Authorization
Authorization: string (required)
This is the authorization token used to authenticate the request. You must pass the access token generated from the system app.
Headers
- x-fabric-tenant-id: string (required)
A header used by fabric to identify the tenant making the request.
Path Parameters
- cartId: string (required)
The 24-character system-generated Cart ID. - fulfillmentId: string (required) The Fulfillment ID created during the Create fulfillment process.
Body
The body of the request must be in application/json format and should include the following:
- price: object (required)
Price details. - reason: string (required)
The reason for the adjustment. - attributes: object
Custom attributes to provide more context.